READNEWS(1)

NAME
readnews - read news articles

SYNOPSIS
readnews [ -a date ] [ -n newsgroups ] [ -t titles ] [ -lprxhfuM ] [ -c [ mailer ] ]

readnews -s

DESCRIPTION
Readnews without argument displays unread articles.

readnews -s displays the newsgroup subscription list.

Readnews maintains a .newsrc file in your home directory that specifies all news articles already read. .newsrc is updated at the end of each news reading session in which the -x or -l options weren't specified. If the NEWSRC environment variable is present, it should be the path name of a file to be used in place of .newsrc.

An options line may be placed in the .newsrc file. The options line starts with the word options (left justified) followed by the list of standard options just as they would be typed on the readnews command line. The list of options may include: the -n flag along with a newsgroup list; a favorite interface to use for reading the news; and/or the -r or -t flag. Continuation lines are specified by following lines beginning with a space or tab character. Similarly, options can be specified in the NEWSOPTS environment parameter. Options on the command line override options in the .newsrc file and options in the .newsrc file override options in the NEWSOPTS environment parameter.

When you use the reply command of the mail(1) or /bin/mail(1) interfaces, readnews uses the MAILER environment parameter to determine which mailer to use. The default is usually mail.

You can specify a particular paging program for paging through articles. The PAGER environment parameter should be set to the name of the paging program. The name of the article is referenced with a `%', as in the -c option. If no `%' is present, the article is piped to the program. Paging may be disabled by setting PAGER to a null value.

OPTIONS
Some of the option flags determine which of the several interfaces you can use for reading your news. The news system has its own interface which is used if no other choice is made, otherwise one of these options can be used:

-M  An interface to mail(1).

-c  A /bin/mail(1)-like interface.

-c `mailer'
    All selected articles written to a temporary file. Then the mailer is invoked. The name of the temporary file is referenced with a `%'. Thus, `mail -f %' will invoke mail on a temporary file consisting of all selected messages.

Other options govern the behavior of readnews itself, as follows:

-p  Send all selected articles to the standard output with no questions asked.

-l  Display only the titles. Do not update the .newsrc file.

-r  display the articles in reverse order.

-f  Do not display any followup article

-h  Display articles in a less verbose format (intended for terminals running at 300 baud).

-u  Update the .newsrc file every 5 minutes, in case of an unreliable system. Note that if the .newsrc file is updated, the x command will not restore it to its original contents.

The following flags determine the selection of articles:

-n newsgroups
    Select all articles that belong to newsgroups.

-t titles
    Select all articles whose titles contain one of the strings specified by titles.

-a [ date ]
    Select all articles that were posted past the given date (in mm/dd format).

-x  Ignore .newsrc file. That is, select articles that have already been read as well as new ones.

COMMANDS

This section lists the commands you can type to the readnews and /bin/mail interface prompts. The readnews interface suggests some common commands in brackets. Just typing carriage-return is the same as typing the first command. For example, `[ynq]' means that the commands `y' (yes), `n' (no), and `q' (quit) are common responses, and that `y' is the default. Here are the commands and their meanings:

y   Yes — displays current article and goes on to next.

n   No — goes on to next article without displaying current one. In the /bin/mail interface, this means `go on to the next article', which has the same effect as `y' or just typing carriage-return.

q   Quit — the .newsrc file is updated if -l or -x were not on the command line.

c   Cancel the article — only the author or the super user can do this.

r   Reply — reply to article's author via mail. Readnews calls up your EDITOR with a header specifying To, Subject, and References lines taken from the message. You may change or add headers, as appropriate. You add the text of the reply after the blank line, and then exit the editor. The resulting message is mailed to the author of the article.

rd  Reply directly — readnews calls up the mail program (or the program specified in the $MAILER environment variable) so that you can reply to the author. Type the text of the reply and then control-D.

f [title]
    Submit a follow up article. Normally you should leave off the title, since the system generates one for you. Readnews calls up your EDITOR so that you can compose the text of the followup.

fd  Followup directly, without edited headers. This is like f, but the headers of the article are not included in the editor buffer.

N [newsgroup]
    Go to the next newsgroup or named newsgroup.

s [file]
    Save — the article is appended to the named file. The default filename is Articles. If the first character of the filename is `|', the rest of the filename is taken as the name of a program, which is executed with the text of the article as standard input. If the first character of the filename is `/', it is taken as a full path name of a file. If the $NEWSBOX environment variable is set to a full path name, and the filename contains no `/', the file is saved in $NEWSBOX, otherwise, it is saved relative to $HOME.

#   Report the name and size of the newsgroup.

e   Erase — forget that this article was read.

h   Print a more verbose header.

H   Print a very verbose header, containing all known information about the article.

U   Unsubscribe from this newsgroup. Also goes on to the next newsgroup.

d   Read a digest. Breaks up a digest into separate articles so you can read and reply to each piece.

D   Decrypt — invokes a Caesar decoding program on the body of the message. This is used to decrypt rotated jokes posted to net.jokes. Such jokes are usually obscene or otherwise offensive to some groups of people, and so are rotated to avoid accidental decryption by people who would be offended. The title of the joke should indicate the nature of the problem, enabling people to decide whether to decrypt it or not.

    Normally the Caesar program does a character frequency count on each line of the article separately, so that lines which are not rotated will be shown in plain text. This works well unless the line is short, in which case it sometimes gets the wrong rotation. An explicit number rotation (usually 13) may be given to force a particular shift.

v   Print the current version of the news software.

!   Shell escape.

number
    Go to number.

+[n]
    Skip n articles. The articles skipped are recorded as `unread' and will be offered to you again the next time you read news.

-   Go back to last article. This is a toggle, typing it twice returns you to the original article.

x   Exit — like quit except that .newsrc is not updated.

X system
    Transmit article to the named system.

The c, f, fd, r, rd, e, h, H, and s commands can be followed by -'s to refer to the previous article. Thus, when replying to an article using the readnews interface, you should normally type `r-' (or `re-') since by the time you enter a command, you are being offered the next article.

EXAMPLES

readnews
    Read all unread articles using the readnews(1) interface. The .newsrc file is updated at the end of the session.

readnews -c ed % -l
    Use the ed(1) text editor on a file containing the titles of all unread articles. The .newsrc file is not updated at the end of the session.

readnews -n all !fa.all -M -r
    Read all unread articles except articles whose newsgroups begin with IB fa . via mail(1) in reverse order. The .newsrc file is updated at the end of the session.

readnews -p -n all -a last thursday
    Print every unread article since last Thursday. The .newsrc file is updated at the end of the session.

readnews -p > /dev/null &
    Discard all unread news. This is useful after returning from a long trip.

FILES
/usr/spool/news/newsgroup/number
    News articles
/usr/lib/news/active
    Active newsgroups and numbers of articles
/usr/lib/news/help
    Help file for readnews(1) interface
~/.newsrc
    Options and list of previously read articles

SEE ALSO
checknews(1), inews(1), sendnews(8), recnews(8), uurec(8), mail(1), news(5), newsrc(5)